## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           plantri
Version:        5.5
Release:        %autorelease
Summary:        Generate certain types of planar graphs

%global upstreamver %(sed 's/\\.//g' <<< %{version})

License:        Apache-2.0
URL:            https://users.cecs.anu.edu.au/~bdm/plantri/
Source:         %{url}plantri%{upstreamver}.tar.gz
# Eliminate many warnings about use of uninitialized variables
Patch:          %{name}-uninitialized.patch
# Adapt to changes in C23
Patch:          %{name}-c23.patch

# See https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  gcc
BuildRequires:  make

%description
Plantri and fullgen are programs for generating certain types of planar
graphs.  The authors are Gunnar Brinkmann (University of Ghent) and
Brendan McKay (Australian National University).

Graphs are generated in such a way that exactly one member of each
isomorphism class is output without the need for storing them.  The
speed of generation is more than 2,000,000 graphs per second in many
cases, so extremely large classes of graph can be exhaustively listed.

%prep
%autosetup -n %{name}%{upstreamver} -p1

%build
%make_build CFLAGS='%{build_cflags}' LDFLAGS='%{build_ldflags}'

%install
mkdir -p %{buildroot}%{_bindir}
cp -p plantri fullgen %{buildroot}%{_bindir}

%files
%doc fullgen-guide.txt more-counts.txt plantri-guide.txt
%license LICENSE-2.0.txt
%{_bindir}/plantri
%{_bindir}/fullgen

%changelog
## START: Generated by rpmautospec
* Mon Jan 20 2025 Jerry James <loganjerry@gmail.com> - 5.5-5
- Add patch for C23 support

* Mon Jan 20 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 5.5-2
- Minor spec file simplifications

* Fri Jun 07 2024 Jerry James <loganjerry@gmail.com> - 5.5-1
- Version 5.5

* Fri Jan 26 2024 Jerry James <loganjerry@gmail.com> - 5.4-1
- Version 5.4

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Jerry James <loganjerry@gmail.com> - 5.3-2
- Stop building for 32-bit x86

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 28 2023 Jerry James <loganjerry@gmail.com> - 5.3-1
- Initial RPM

## END: Generated by rpmautospec
